diff --git a/Makefile b/Makefile
index 1f2909c0fd9979950d6a92ab1df91ad327d5b12f..94146b9a5a9dead150963ecff5d9c4b2c4b5ccc4 100644
--- a/Makefile
+++ b/Makefile
@@ -233,8 +233,8 @@ run_sitl_ros: sitl_deprecation
 # Other targets
 # --------------------------------------------------------------------
 
-.PHONY: gazebo_build uavcan_firmware check check_format unittest tests qgc_firmware package_firmware clean submodulesclean distclean
-.NOTPARALLEL: gazebo_build uavcan_firmware check check_format unittest tests qgc_firmware package_firmware clean submodulesclean distclean
+.PHONY: gazebo_build uavcan_firmware check check_format format unittest tests qgc_firmware package_firmware clean submodulesclean distclean
+.NOTPARALLEL: gazebo_build uavcan_firmware check check_format format unittest tests qgc_firmware package_firmware clean submodulesclean distclean
 
 gazebo_build:
 	@mkdir -p build_gazebo
@@ -283,6 +283,11 @@ check_format:
 	@./Tools/fix_code_style.sh
 	@./Tools/check_code_style_all.sh
 
+format:
+	$(call colorecho,"Formatting with astyle")
+	@./Tools/fix_code_style.sh
+	@./Tools/check_code_style_all.sh --fix
+
 check_%:
 	@echo
 	$(call colorecho,"Building" $(subst check_,,$@))
diff --git a/Tools/check_code_style.sh b/Tools/check_code_style.sh
index 898f9d1c380c4da2f0399d3ef8ebda50ed4baa67..c37a8629697b2a05f8ff69d6fa9c01e4b2eed9e4 100755
--- a/Tools/check_code_style.sh
+++ b/Tools/check_code_style.sh
@@ -16,8 +16,14 @@ then
 		echo
 
 		rm -f $file.pretty
-		echo $file 'bad formatting, please run "./Tools/fix_code_style.sh' $file'"'
-		exit 1
+
+		if [[ $PX4_ASTYLE_FIX -eq 1 ]]
+		then
+			${DIR}/fix_code_style.sh $file
+		else
+			echo $file 'bad formatting, please run "./Tools/fix_code_style.sh' $file'"'
+			exit 1
+		fi
 	fi
 fi
 
diff --git a/Tools/check_code_style_all.sh b/Tools/check_code_style_all.sh
index 461ced6feab35da9607691806603b5509e612ee9..eb0c2b752931914254e9e5fa43a5a8abf869945e 100755
--- a/Tools/check_code_style_all.sh
+++ b/Tools/check_code_style_all.sh
@@ -1,12 +1,19 @@
 #!/usr/bin/env bash
 set -eu
-failed=0
+
+if [[ "$@" == "--fix" ]]
+then
+    export PX4_ASTYLE_FIX=1
+fi
 
 DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
 
 find src/ \
+    -path src/lib/DriverFramework -prune -o \
+    -path src/lib/ecl -prune -o \
     -path src/lib/external_lgpl -prune -o \
     -path src/lib/mathlib -prune -o \
+    -path src/lib/matrix -prune -o \
     -path src/modules/attitude_estimator_ekf -prune -o \
     -path src/modules/commander -prune -o \
     -path src/modules/ekf2 -prune -o \